Subject: Re: a dll example
From: Craig Stevenson <[email-masked]>
To: "K. Haley" <[email-masked]>, cygwin <[email-masked]>
Cc: Matt Perini <[email-masked]>
Date: Tue, 23 May 2000 16:15:18 -0700 (PDT)

Thank you so much for looking into this.

After some experimentation it seems that I have
discovered a windows2000ism.  I seem to get your
behavior under Win98, so that mingw does in fact do
the job.

However mingw does not do the job under Win2K.  It
calls attach process twice in the C library which
makes two data segments, one for A and one for B.

Fascinating.  I'm going to try NT4 and see how that
goes.  Perhaps I can continue with development under
NT4 for a while until someone in the know can get
things square with Win2K.

--- "K. Haley" <[email-masked]> wrote:
> Hi Craig,
>
> I just tried your test case and it worked on my
> 1.1.0 setup.  The same
> address for iC1 was listed for both DoA() and DoB().
>  There were two
> possible problems that I saw.  The DETACH messages
> were not printed and an
> invalid page fault in cygwin1.dll would occur if I
> ran main a second
> time.  I suspect the two are related since the page
> fault went away after I
> removed the DllMain functions.  I also compiled a
> mingw version which
> worked just like your vc++ version.
>
>
> At 03:48 PM 5/19/00, Craig Stevenson wrote:
> >Hi:
> >
> >I have an example dll problem that builds with gcc
> in
> >the attachment.
> >
> >It works with vc++ and gcc in linux, but not gcc in
> >cygwin.  I suppose I could be missing something, or
> >perhaps we can't just get there from here.  Either
> way
> >I would be interested in peoples comments on what I
> am
> >trying to do.
> >
> >Here is the readme in the zip file to help you
> decide
> >whether you want to go further.  Thanks!
> >
> >[email-masked] Fri May 19 14:08:05 2000
> >Craig Stevenson
>
> ---
> Kenneth Haley <mailto:[email-masked]>
> Yahoo! Messenger --
> http://profiles.yahoo.com/haleykd
> Website  http://www.bigfoot.com/~khaley
> PGP --
>
http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=[email-masked]
>

=====
-- Craig Stevenson
-- Home Page: http://www.sdc.org/~craigs/
-- Recently computed: The 200 billionth digit of pi is 2.

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]